# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FumocStockQuant(models.Model):
    _inherit = "stock.quant"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    expiration_date = fields.Datetime(
        string="DLC", related="lot_id.expiration_date", store=True
    )
    use_date = fields.Datetime(string="DDM", related="lot_id.use_date", store=True)
    alert_date = fields.Datetime(
        string="Alerte", related="lot_id.alert_date", store=True
    )
