# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class ReportProductPricelist(models.AbstractModel):
    _inherit = "report.product.report_pricelist"

    def _get_product_data(self, is_product_tmpl, product, pricelist, quantities):
        data = super()._get_product_data(
            is_product_tmpl, product, pricelist, quantities
        )
        data["barcode"] = product.barcode
        return data
