# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FumocConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    year_reference_lot = fields.Integer(
        string="Année de référence lot",
        related="company_id.year_reference_lot",
        readonly=False,
    )
