# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FumocSaleOrder(models.Model):
    _inherit = "sale.order"

    departure_day_ids = fields.Many2many(
        string="Jours de départ", related="partner_id.departure_day_ids"
    )
    res_transporter_id = fields.Many2one(
        string="Transporteur", related="partner_id.res_transporter_id"
    )
    packaging_id = fields.Many2one(
        string="Emballage", related="partner_id.packaging_id"
    )
    billing_type_id = fields.Many2one(
        string="Type de facturation", related="partner_id.billing_type_id"
    )
